---
title: List Webhook Subscriptions | API Docs
---

GET

/api/partner/v2/webhook\_subscriptions

Select code sample cURL (shell:curl)

```
const url = 'https://api.linqapp.com/api/partner/v2/webhook_subscriptions';
const options = {
  method: 'GET',
  headers: {'X-LINQ-INTEGRATION-TOKEN': '<X-LINQ-INTEGRATION-TOKEN>'}
};


try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```
curl --request GET \
  --url https://api.linqapp.com/api/partner/v2/webhook_subscriptions \
  --header 'X-LINQ-INTEGRATION-TOKEN: <X-LINQ-INTEGRATION-TOKEN>'
```

- Production server api.linqapp.com/api/partner/v2/webhook\_subscriptions

Retrieves all webhook subscriptions for the authenticated partner

## Authorizations

- **[ApiKeyAuth](/v2/api/#apikeyauth/index.md)**

## Responses

### 200

Successful response

Media type application/json

object

**webhook\_subscriptions**

Array\<object>

object

**id**

integer

**webhook\_url**

string

**version**

API version of the webhook subscription

integer

**events**

Array\<string>

**active**

boolean

**secret\_configured**

Whether a secret has been configured for this webhook (the actual secret is never returned)

boolean

**last\_delivered\_at**

Timestamp of the last successful webhook delivery

string format: date-time

nullable

**delivery\_attempts**

Total number of delivery attempts for this webhook

integer

**created\_at**

string format: date-time

**updated\_at**

string format: date-time

##### Example

```
{
  "webhook_subscriptions": [
    {
      "id": 123,
      "webhook_url": "https://webhook.example.com/linq",
      "version": 2,
      "events": [
        "message.sent",
        "message.received",
        "call.completed"
      ],
      "active": true,
      "secret_configured": true,
      "last_delivered_at": "2024-01-15T10:30:00Z",
      "delivery_attempts": 42
    }
  ]
}
```
